### Class

# Gtk ShortcutTrigger

#### Description [src]

    abstract class Gtk.ShortcutTrigger : GObject.Object
    {
      /* No available fields */
    }

`GtkShortcutTrigger` tracks how a `GtkShortcut` should be activated.

To find out if a `GtkShortcutTrigger` triggers, you can call `gtk_shortcut_trigger_trigger()` on a `GdkEvent`.

`GtkShortcutTriggers` contain functions that allow easy presentation to end users as well as being printed for debugging.

All `GtkShortcutTriggers` are immutable, you can only specify their properties during construction. If you want to change a trigger, you have to replace it with a new one.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- GtkAlternativeTrigger
- GtkKeyvalTrigger
- GtkMnemonicTrigger
- GtkNeverTrigger

#### Constructors

###### gtk_shortcut_trigger_parse_string

Tries to parse the given string into a trigger.

#### Instance methods

###### gtk_shortcut_trigger_compare

The types of `trigger1` and `trigger2` are `gconstpointer` only to allow use of this function as a `GCompareFunc`.

###### gtk_shortcut_trigger_equal

Checks if `trigger1` and `trigger2` trigger under the same conditions.

###### gtk_shortcut_trigger_hash

Generates a hash value for a `GtkShortcutTrigger`.

###### gtk_shortcut_trigger_print

Prints the given trigger into a string for the developer. This is meant for debugging and logging.

###### gtk_shortcut_trigger_print_label

Prints the given trigger into a string.

###### gtk_shortcut_trigger_to_label

Gets textual representation for the given trigger.

###### gtk_shortcut_trigger_to_string

Prints the given trigger into a human-readable string.

###### gtk_shortcut_trigger_trigger

Checks if the given `event` triggers `self`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkShortcutTriggerClass {
      /* no available fields */
    }

No description available.